# Bearer (desktop / CLI)
curl https://rolearn.dev/api/auth/me \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"id": 1,
"email": "dev@example.com",
"plan": "builder",
"subscription_status": "active",
"tracked_games": [2753915549, 16732694052],
"is_admin": false
}
Authentication
Get Current User
Get the authenticated user’s profile
GET
/
api
/
auth
/
me
# Bearer (desktop / CLI)
curl https://rolearn.dev/api/auth/me \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"id": 1,
"email": "dev@example.com",
"plan": "builder",
"subscription_status": "active",
"tracked_games": [2753915549, 16732694052],
"is_admin": false
}
Returns the current user’s profile including plan, subscription status, and tracked games.
Authenticate with either the session cookie (web app, sent automatically) or a
Bearer access token (desktop / CLI).
# Bearer (desktop / CLI)
curl https://rolearn.dev/api/auth/me \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"id": 1,
"email": "dev@example.com",
"plan": "builder",
"subscription_status": "active",
"tracked_games": [2753915549, 16732694052],
"is_admin": false
}

